### A free/open-source library for quantitative finance

Classes
ql/models/shortrate/twofactormodel.hpp File Reference

Abstract two-factor interest rate model class. More...

`#include <ql/models/model.hpp>`
`#include <ql/methods/lattices/lattice2d.hpp>`
Include dependency graph for twofactormodel.hpp:

## Classes

class | TwoFactorModel
| Abstract base-class for two-factor models. More...
class | TwoFactorModel::ShortRateDynamics
| Class describing the dynamics of the two state variables. More...
class | TwoFactorModel::ShortRateTree
| Recombining two-dimensional tree discretizing the state variable. More...

## Detailed Description

Abstract two-factor interest rate model class.